@import "../../../shared/mixins/shared.mixin";
@import "../../../variables";

.image-container {
  @include upload-preview;
  background-color: white;

  &.remove-border {
    box-shadow: none !important;
  }

  .preview {
    border: none;
    cursor: default;
    @include image-fit;

    &.add-border {
      border: 1.5px dashed #6c757d;
      cursor: pointer;
      margin-right: 10px;
    }

    &.selected {
      border: 2px solid $bg-primary;
    }

    &:last-child {
      margin-right: 0 !important;
    }

    img {
      @include img;
    }

    .fa-trash-alt {
      @include fa-trash;
    }
  }
}

.card-footer {
  button {
    width: 13%;
    &:not(:nth-last-of-type(1)) {margin-right: 3%}
  }
}
